API Reference

Online News Search Direct API

Online News Search restricted to direct search parameters

Version
1.0.0
Endpoints
3

Base URL

https://api.pressmonitor.com/news-online/v1

Authentication

All requests use Bearer token authentication. Add the Authorization header to every call.

Authorization: Bearer YOUR_TOKEN
GET /headlines

News Headlines

News Headlines

Parameters

Name Type Location Required Description
keywords_text string query Yes Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Code Examples

curl --request GET \ --url 'https://api.pressmonitor.com/news-online/v1/headlines?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Responses

200 Success
GET /briefs

News Briefs

News Briefs

Parameters

Name Type Location Required Description
keywords_text string query Yes Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Code Examples

curl --request GET \ --url 'https://api.pressmonitor.com/news-online/v1/briefs?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Responses

200 Success
GET /fulltext

News Fulltext

News Fulltext

Parameters

Name Type Location Required Description
keywords_text string query Yes Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Code Examples

curl --request GET \ --url 'https://api.pressmonitor.com/news-online/v1/fulltext?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Responses

200 Success